Subject: Re: git send-email --notmuch expr

From: Jed Brown <[email-masked]>
Date: Wed, 25 Nov 2009 14:06:47 +0100

On Wed, 25 Nov 2009 02:16:52 -0800 (PST), Jakub Narebski <[email-masked]> wrote:
> (?: ... ) is in Perl non-capturing grouping

Thanks.  Actually that code only executes under --compose, the headers
provided by format-patch all just come through untouched (but all the
interesting ones are duplicated).  So it looks like we just need to
actually parse the relevant headers from format-patch, before the part
where the user gets prompted.  These are a little harder because they
can span multiple lines.  The current validation with --compose is a bit
broken: suppose the user sets the perfectly valid header

To: [email-masked],
    [email-masked]

The validation will strip the first line while issuing warning, but
send the second through untouched.

Jed